API structure has changed
3 structure changes including:
3 Modifications
Modified
3
Breaking
POST /oauth/token
- Body
-
application/json content type Modified
- client_id, client_secret, audience, grant_type properties Added
POST /updateStoreStatus
- Path
-
channelName, channelLinkId path parameters Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
POST /{channelName}/order/{channelLinkId}
- Path went from
/{channelName}/order/{channelLinkId}/to/{channelName}/order/{channelLinkId}(same operationId) - Body
-
application/json content type Modified
-
channelLinkId, status, cancellationReason properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- courier, payment, payment.amount, payment.type, taxes.totaL, items, items.plu, items.name, items.price, items.quantity, decimalDigits, deliveryIsAsap properties Added
-
channelLinkId, status, cancellationReason properties Removed
- Response
-
default response Modified
-
application/json content type Modified
-
Type went from
objecttostringBreaking
-
channelOrderId, channelOrderDisplayId, channelLinkId, status, cancellationReason properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
-
Type went from
-
application/json content type Modified